@echo off
echo .
echo    FTNSET.BAT sets the default fortran compiler switches.  Use:
echo               (no arg), DBG, LST, STR, DIST, or SAM
echo .
:
:       (no arg) for my work on 286+287 or 386+287 machines 
:         DBG       " + switches for $DEBUG stuff
:         LST  " +  " + generate a .LST file
:         STR  " +  " +  " + strict
:         CDV  " +  " + code view stuff
:         DIST for distributable code that will use the  
:                  coprocessor if its there, the math
:                   emulator if not.
:         SAM  for compiling the MSF plotting examples
: 
:
: : *** echo this is first arg: %1 
: *** pause
if $  == $%1  goto DEFAULT  
if %1 == DBG  goto XDEBUG
if %1 == dbg  goto XDEBUG
if %1 == CDV  goto XCDV
if %1 == cdv  goto XCDV
if %1 == LST  goto XLST 
if %1 == lst  goto XLST 
if %1 == STR  goto XSTR 
if %1 == str  goto XSTR 
if %1 == DIST goto XDIST     
if %1 == dist goto XDIST  
if %1 == SAM  goto XSAM     
if %1 == sam  goto XSAM  
if %1 == QWERTY  goto XQWERTY  
if %1 == qwerty  goto XQWERTY 
echo        
echo         ***
echo         Sorry, but FTNSET does not recognize: %1
echo         Try [blank], DBG, LST, DIST, or SAM.
echo         ***
echo   
echo this is the parameter you typed: %1
pause
goto DONE 
:XDIST  
   SET FL=/FPi /G0  /X /Gt256 
   SET LINK=
   goto DONE  
:XSAM  
   SET FL=/FPi87 /G2     /Fs
   SET LINK=   
   goto DONE  
:XQWERTY     
   SET FL=/FPi87 /G2  /X /Gt256 /Zi /Od /Ge /Fs 
   SET LINK= /CO  
   goto DONE  
:XSTR   
   SET FL=/FPi87 /G2 /4Yb  /X /Gt256 /Zi /Od /Ge /Fs /4Ys
   SET LINK= /CO  
   goto DONE  
:XLST    
: was   SET FL=/FPi87 /G2 /4Yb  /X /Gt256 /Zi /Od /Ge /Fs 
: was   SET LINK= /CO  
   SET FL=/FPi87 /G2 /4Yb  /X /Gt256 /Od /Ge /Fs 
   SET LINK=   
   goto DONE  
:XCDV    
   SET FL=/FPi87 /G2 /4Yb  /X /Gt256 /Zi /Od /Ge
   SET LINK= /CO  
   goto DONE  
:XDEBUG    
   SET FL=/FPi87 /G2 /4Yb  /X /Gt256 /Ols /Ge
   SET LINK= /CO  
   goto DONE  
:DEFAULT 
   SET FL=/FPi87 /G2 /4Nb /X /Gt256 /Ols /Gs    
   SET LINK=
:DONE 
SET 
: 
: use  /FPi87 on a computer having a math coprocessor.  
:                 Link to LLIBFOR7.LIB. 
:      /FPi   for code to be installed on various machines, some
:                 with, some without, a math coprocessor.  
:                 Link to LLIBFORA.LIB 
:      /FPa   fastest when there is no math coprocessor, not as
:                 accurate as /FPi, though.  Link to LLIBFORA.LIB
: use /G2   to use the 80286/80386 instruction set in addition
:              to the 8086/8088 instructions.     
:     /G0   to use 8086/8088 instructions only.
: use /4Yb  to use the "debug" extended error handling at run time
:              (adds to code size). = $DEBUG.
:     /4Nb  for no debug (smaller code) = the default and = $NODEBUG.  
:           Do we want /4Yb in other than debug situations? 
:              It traps cs(0:0), which I tend to use.
:              I've tried to replace the 0 with max(1,x) wherever
:              I've found it, but I've probably missed some: this
:              is a run time error, so I haven't found all the
:              situations in which the x can be 0.
: use /X    has something to do with where compiler looks for include files. 
: use /Od   to disable optimization (needed with /Zi);
:     /Ols  for optimization emphasising small code size
: use /Zi   to prepare for code view debugger (large code size!)
: use /Ge   to enable stack probes (gives diagnostic if run out of
:              room on the stack, but adds time and code size.)
:     /Gs   to disable stack probes (= default)
: use /Gt### to indicate max size of data items stored in the "data" 
:              segment.  Default = 32767, Gt == Gt256.
:  
: use /4Yv  for VAX extensions, 
:     /4Ys  for no extensions.  /4Ys is too strict for my tester progs, 
:              but should be informative with other .FOR files.
: add /W2   to suppress the F4999 diagnostic (variable declared 
:              but not used). Unfortunately, though, that also suppresses
:              the F4998 diagnostic (variable used but not defined),
:              and we do want to see that.
:

